Retrieving Articles GET

The Product Content API GET /v1/content/articles endpoint returns metadata for articles published within a specified date range. The updatedAt timestamp is not necessarily related to editors updating the article with new information. The timestamp may represent the last time the article was reprocessed for delivery.

Basic Search for Article Metadata

To Get Article Metadata for Updated Articles (example):

Gather the following information for the request:

Request

GET https://apis.ebsco.com/medsapi-product-content/v1/content/articles?updatedSince=2025-09-14

The request above is for articles that have been republished after September 14, 2025.

Response

{
  "metadata": {
    "totalItems": 11690,
    "totalPages": 12,
    "page": 1,
    "links": [
      {
        "rel": "self",
        "href": "https://apis.ebsco.com/medsapi-product-content/v1/content/articles?updatedSince=2025-09-14T18:21:54.345Z&page=1"
      },
      {
        "rel": "next",
        "href": "https://apis.ebsco.com/medsapi-product-content/v1/content/articles?updatedSince=2022-09-14T18:21:54.345Z&page=2"
      },
      {
        "rel": "last",
        "href": "https://apis.ebsco.com/medsapi-product-content/v1/content/articles?updatedSince=2022-09-14T18:21:54.345Z&page=12"
      }
    ]
  },
  "items": [
    {
      "id": "dm:t1644526395752",
      "title": "Bleeding Disorders - Approach to the Patient",
      "product": {
        "code": "dm",
        "title": "Dynamed"
      },
      "pubType": {
        "id": "approachto"
      },
      "slug": "/approach-to/bleeding-disorders-approach-to-the-patient",
      "updatedAt": "2026-01-26T20:14:43.312",
      "addedToListAt": "2025-05-07T16:15:44.883628",
      "removedFromListAt": null,
      "isDeleted": false
    },
    ...
  ]
} 

Query Parameters

NameDescription
pageThe next page of items to return. This does not need to be specified on the first request.
updatedSinceAn ISO 8601 date. An example date is 2021-12-17T22:50:42.511Z or 2021-12-17. Time does not need to be specified and will be assumed as midnight on the day requests. Articles starting at that date will be returned.
updatedBeforeAn ISO 8601 date. Time does not need to be specified and will be assumed as midnight on the day requests. Articles ending on that date will be returned.

The updatedAt parameter indicates the last time the page was published. Dates must conform to ISO 8601. An example date is 2021-12-17T22:50:42.511Z or 2021-12-17. The time does NOT need to be specified. If neither updatedSince nor updatedBefore are provided, all updates are returned. If no updatedBefore is supplied, then all dates from the updateSince until today's date are returned. If no updatedSince is provided, then all dates up to the updatedBefore are returned.

Paging

Up to 100 items may be returned in a request. If more than 100 are returned, the totalItems indicates how many items there are to retrieve. The page parameter in the response indicates the page returned. To get the next page of items, add one to the page. Each page has 100 items.

Response Fields

The id field is prefixed with the product code which can also be found in the product field. This will give an indication of the format of the article. The full id must be used with the articles by ID endpoint.

addToListAt is used to indicate when the article was included in the subscribed list of articles.

An article may be deleted, and this is indicated in the isDeleted and removedFromListAt. These articles should no longer be distributed.

Error Response Codes

The Product Content article metadata endpoint can return one of the error response codes.